## sddm 0.17.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.8)

project(SDDM)

set(CMAKE_INCLUDE_CURRENT_DIR ON)
set(CMAKE_AUTOMOC ON)
SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)

# Silence CMake 3.0 warnings
if(POLICY CMP0043)
    cmake_policy(SET CMP0043 OLD)
endif()

# Set version
set(SDDM_VERSION_MAJOR 0)
set(SDDM_VERSION_MINOR 17)
set(SDDM_VERSION_PATCH 0)
set(SDDM_VERSION_STRING "${SDDM_VERSION_MAJOR}.${SDDM_VERSION_MINOR}.${SDDM_VERSION_PATCH}")

# Set up packaging
set(CPACK_PACKAGE_NAME "sddm")
set(CPACK_PACKAGE_VERSION "${SDDM_VERSION_STRING}")
set(CPACK_GENERATOR "TGZ")
set(CPACK_SET_DESTDIR FALSE)
set(CPACK_SOURCE_PACKAGE_FILE_NAME "${CPACK_PACKAGE_NAME}-${CPACK_PACKAGE_VERSION}")
set(CPACK_SOURCE_IGNORE_FILES "/build/;/.git;/*.user;/.tx/;~$;${CPACK_SOURCE_IGNORE_FILES}")
include(CPack)
add_custom_target(dist COMMAND ${CMAKE_MAKE_PROGRAM} package_source)

# Options
option(BUILD_MAN_PAGES "Build man pages" OFF)
option(ENABLE_JOURNALD "Enable logging to journald" ON)
option(ENABLE_PAM "Enable PAM support" ON)

# ECM
find_package(ECM 1.4.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake;${CMAKE_MODULE_PATH};${ECM_MODULE_PATH}")

# Definitions
add_definitions(-Wall -std=c++11 -DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_FROM_BYTEARRAY)

# Default build type
if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE Release)
endif()

# Handle build type
if(CMAKE_BUILD_TYPE MATCHES [Dd]ebug)
    message(STATUS "Debug build")
    add_definitions(-DDEBUG)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -g -O0")
else()
    message(STATUS "Release build")
    add_definitions(-DNDEBUG)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O2")
endif()

# Default absolute paths
if(NOT DEFINED CMAKE_INSTALL_SYSCONFDIR)
    set(CMAKE_INSTALL_SYSCONFDIR "/etc")
endif()
if(NOT DEFINED CMAKE_INSTALL_LOCALSTATEDIR)
    set(CMAKE_INSTALL_LOCALSTATEDIR "/var")
endif()

# Standard installation paths
include(GNUInstallDirs)

# Macros
include(FeatureSummary)

# PKG-CONFIG
find_package(PkgConfig)

# PAM
if(ENABLE_PAM)
    find_package(PAM REQUIRED)

    if(PAM_FOUND)
        add_definitions(-DUSE_PAM)
    endif()
endif()
add_feature_info("PAM" PAM_FOUND "PAM support")

# getspnam and shadow(5) support
include(CheckFunctionExists)
check_function_exists(getspnam HAVE_GETSPNAM)

# XCB
find_package(XCB REQUIRED)

# XKB
find_package(XKB REQUIRED)

# Qt 5
find_package(Qt5 5.6.0 CONFIG REQUIRED Core DBus Gui Qml Quick LinguistTools)

# find qt5 imports dir
get_target_property(QMAKE_EXECUTABLE Qt5::qmake LOCATION)
if(NOT QT_IMPORTS_DIR)
    exec_program(${QMAKE_EXECUTABLE} ARGS "-query QT_INSTALL_QML" RETURN_VALUE return_code OUTPUT_VARIABLE QT_IMPORTS_DIR)
endif()

# Set components version
set(COMPONENTS_VERSION 2.0)

# Uninstall target
if ("${ECM_VERSION}" VERSION_LESS "1.7.0")
    configure_file("${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
                   "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
                   IMMEDIATE @ONLY)
    add_custom_target(uninstall COMMAND ${CMAKE_COMMAND} -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")
endif()

# systemd
if(NOT NO_SYSTEMD AND NOT USE_ELOGIND)
    pkg_check_modules(SYSTEMD "systemd")
endif()

if(SYSTEMD_FOUND)
    add_definitions(-DHAVE_SYSTEMD)
    set(CMAKE_AUTOMOC_MOC_OPTIONS -DHAVE_SYSTEMD)

    # libsystemd-journal was merged into libsystemd in 209
    if(${SYSTEMD_VERSION} VERSION_LESS 209)
        pkg_check_modules(JOURNALD "libsystemd-journal")
    else()
        pkg_check_modules(JOURNALD "libsystemd")
    endif()

    if(ENABLE_JOURNALD)
        if(JOURNALD_FOUND)
            add_definitions(-DHAVE_JOURNALD)
            set(CMAKE_AUTOMOC_MOC_OPTIONS -DHAVE_JOURNALD)
        else()
            message(WARNING "Disable journald support for lack of libsystemd-journal")
        endif()
    endif()

    if (NOT DEFINED SYSTEMD_SYSTEM_UNIT_DIR)
        execute_process(COMMAND ${PKG_CONFIG_EXECUTABLE} --variable=systemdsystemunitdir systemd OUTPUT_VARIABLE SYSTEMD_SYSTEM_UNIT_DIR)
        string(REGEX REPLACE "[ \t\n]+" "" SYSTEMD_SYSTEM_UNIT_DIR ${SYSTEMD_SYSTEM_UNIT_DIR})
    endif()

    set(MINIMUM_VT 1)
    set(HALT_COMMAND "/usr/bin/systemctl poweroff")
    set(REBOOT_COMMAND "/usr/bin/systemctl reboot")
else()
    set(SYSTEMD_FOUND 0)
endif()
add_feature_info("systemd" SYSTEMD_FOUND "systemd support")
add_feature_info("journald" JOURNALD_FOUND "journald support")

# elogind
if(NO_SYSTEMD AND USE_ELOGIND)
    pkg_check_modules(ELOGIND "libelogind")
endif()

if(ELOGIND_FOUND)
    add_definitions(-DHAVE_ELOGIND)
    set(CMAKE_AUTOMOC_MOC_OPTIONS -DHAVE_ELOGIND)

    set(MINIMUM_VT 7)
    set(HALT_COMMAND "/usr/bin/loginctl poweroff")
    set(REBOOT_COMMAND "/usr/bin/loginctl reboot")
endif()
add_feature_info("elogind" ELOGIND_FOUND "elogind support")

# Default behaviour if neither systemd nor elogind is used
if (NOT ELOGIND_FOUND AND NOT SYSTEMD_FOUND)
    set(MINIMUM_VT 7)
    set(HALT_COMMAND "/sbin/shutdown -h -P now")
    set(REBOOT_COMMAND "/sbin/shutdown -r now")
endif()


# Set constants
set(DATA_INSTALL_DIR            "${CMAKE_INSTALL_FULL_DATADIR}/sddm"                CACHE PATH      "System application data install directory")
set(DBUS_CONFIG_DIR             "${CMAKE_INSTALL_SYSCONFDIR}/dbus-1/system.d"       CACHE PATH      "DBus config files directory")
set(STATE_DIR                   "${CMAKE_INSTALL_FULL_LOCALSTATEDIR}/lib/sddm"      CACHE PATH      "State directory")
set(RUNTIME_DIR                 "${CMAKE_INSTALL_FULL_LOCALSTATEDIR}/run/sddm"      CACHE PATH      "Runtime data storage directory")

set(SESSION_COMMAND             "${DATA_INSTALL_DIR}/scripts/Xsession"              CACHE PATH      "Script to execute when starting the X11 desktop session")
set(WAYLAND_SESSION_COMMAND     "${DATA_INSTALL_DIR}/scripts/wayland-session"       CACHE PATH      "Script to execute when starting the Wayland desktop session")

set(CONFIG_FILE                 "${CMAKE_INSTALL_FULL_SYSCONFDIR}/sddm.conf"        CACHE PATH      "Path of the sddm config file")
set(CONFIG_DIR                  "${CMAKE_INSTALL_FULL_SYSCONFDIR}/sddm.conf.d"      CACHE PATH      "Path of the sddm config directory")
set(SYSTEM_CONFIG_DIR           "${CMAKE_INSTALL_PREFIX}/lib/sddm/sddm.conf.d"      CACHE PATH      "Path of the system sddm config directory")
set(LOG_FILE                    "${CMAKE_INSTALL_FULL_LOCALSTATEDIR}/log/sddm.log"  CACHE PATH      "Path of the sddm log file")
set(DBUS_CONFIG_FILENAME        "org.freedesktop.DisplayManager.conf"               CACHE STRING    "Name of the sddm config file")
set(COMPONENTS_TRANSLATION_DIR  "${DATA_INSTALL_DIR}/translations"                  CACHE PATH      "Components translations directory")


# Autodetect UID_MIN and UID_MAX from /etc/login.defs
if(NOT DEFINED LOGIN_DEFS_PATH)
    set(LOGIN_DEFS_PATH "/etc/login.defs" CACHE PATH "Path to login.defs")
endif()

if(NOT EXISTS "${LOGIN_DEFS_PATH}" AND NOT DEFINED UID_MIN AND NOT DEFINED UID_MAX)
    message(FATAL_ERROR "Could not find login.defs at ${LOGIN_DEFS_PATH}. Try -DLOGIN_DEFS_PATH.")
endif()

if(NOT DEFINED UID_MIN)
    file(STRINGS "${LOGIN_DEFS_PATH}" UID_MIN LIMIT_COUNT 1 REGEX "^UID_MIN")
    string(REGEX REPLACE "^UID_MIN[\t ]+([0-9]+)" "\\1" UID_MIN "${UID_MIN}")
    if(NOT UID_MIN MATCHES "[0-9]+")
        message(WARNING "Could not detect a valid UID_MIN (got '${UID_MIN}'). You should review your login.defs file.")
        set(UID_MIN 1000)
    else()
        message(STATUS "Autodetected UID_MIN=${UID_MIN} from ${LOGIN_DEFS_PATH}")
    endif()
endif()

if(NOT DEFINED UID_MAX)
    file(STRINGS "${LOGIN_DEFS_PATH}" UID_MAX LIMIT_COUNT 1 REGEX "^UID_MAX")
    string(REGEX REPLACE "^UID_MAX[\t ]+([0-9]+)" "\\1" UID_MAX "${UID_MAX}")
    if(NOT UID_MAX MATCHES "[0-9]+")
        message(WARNING "Could not detect a valid UID_MAX (got '${UID_MAX}'). You should review your login.defs file.")
        set(UID_MAX 65000)
    else()
        message(STATUS "Autodetected UID_MAX=${UID_MAX} from ${LOGIN_DEFS_PATH}")
    endif()
endif()

# Add subdirectories
add_subdirectory(components)
add_subdirectory(data)
add_subdirectory(services)
add_subdirectory(src)
add_subdirectory(test)

# Display feature summary
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== components/CMakeLists.txt ===
configure_file("${COMPONENTS_VERSION}/LayoutBox.qml" "${COMPONENTS_VERSION}/LayoutBox.qml")
configure_file("common/qmldir" "common/qmldir")

install(DIRECTORY "${COMPONENTS_VERSION}/" DESTINATION "${QT_IMPORTS_DIR}/SddmComponents")
install(DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/${COMPONENTS_VERSION}/" DESTINATION "${QT_IMPORTS_DIR}/SddmComponents")

install(DIRECTORY "common/" DESTINATION "${QT_IMPORTS_DIR}/SddmComponents")
install(DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/common/" DESTINATION "${QT_IMPORTS_DIR}/SddmComponents")

=== test/CMakeLists.txt ===
set(QT_USE_QTTEST TRUE)

include_directories(../src/common)


set(ConfigurationTest_SRCS ConfigurationTest.cpp ../src/common/ConfigReader.cpp)
add_executable(ConfigurationTest ${ConfigurationTest_SRCS})
add_test(NAME Configuration COMMAND ConfigurationTest)

qt5_use_modules(ConfigurationTest Test)

=== data/themes/CMakeLists.txt ===
set(THEMES elarun maldives maya)

foreach(THEME ${THEMES})
    # We assume that theme-specific translations are stored
    # in ${THEME}/translations directory
    set(TRANSLATIONS_DIR "${THEME}/translations")
    file(GLOB TRANSLATION_SOURCES "${TRANSLATIONS_DIR}/*.ts")

    configure_file("${THEME}/Main.qml"                  "${THEME}/Main.qml")
    configure_file("${THEME}/metadata.desktop"          "${THEME}/metadata.desktop")

    set_source_files_properties(${TRANSLATION_SOURCES} PROPERTIES OUTPUT_LOCATION "${CMAKE_CURRENT_BINARY_DIR}/${TRANSLATIONS_DIR}")

    qt5_add_translation(QM_FILES "${TRANSLATION_SOURCES}")

    install(DIRECTORY "${THEME}" DESTINATION "${DATA_INSTALL_DIR}/themes" PATTERN "${THEME}/*.ts"
            EXCLUDE PATTERN "${THEME}/Main.qml"
            EXCLUDE PATTERN "${THEME}/metadata.desktop"
            EXCLUDE PATTERN "${THEME}/.gitattributes"
            EXCLUDE)
    install(DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/${THEME}" DESTINATION "${DATA_INSTALL_DIR}/themes")

    list(APPEND THEMES_QM_FILES ${QM_FILES})
endforeach(THEME)

add_custom_target(themes-translation DEPENDS ${THEMES_QM_FILES})

=== data/translations/CMakeLists.txt ===
set(TRANSLATION_FILES
    ar.ts
    ca.ts
    cs.ts
    da.ts
    de.ts
    es.ts
    et.ts
    fi.ts
    fr.ts
    hi_IN.ts
    hu.ts
    it.ts
    ja.ts
    kk.ts
    ko.ts
    lt.ts
    lv.ts
    nb.ts
    nl.ts
    nn.ts
    pl.ts
    pt_BR.ts
    pt_PT.ts
    ro.ts
    ru.ts
    sk.ts
    sr.ts
    sr@ijekavian.ts
    sr@ijekavianlatin.ts
    sr@latin.ts
    sv.ts
    tr.ts
    uk.ts
    zh_CN.ts
    zh_TW.ts
)

qt5_add_translation(QM_FILES ${TRANSLATION_FILES})

install(FILES ${QM_FILES} DESTINATION "${COMPONENTS_TRANSLATION_DIR}")

add_custom_target(components-translation DEPENDS ${QM_FILES})

=== src/daemon/CMakeLists.txt ===
include_directories(
    "${CMAKE_SOURCE_DIR}/src/common"
    "${CMAKE_SOURCE_DIR}/src/auth"
    "${CMAKE_BINARY_DIR}/src/common"
    "${LIBXCB_INCLUDE_DIR}"
)

set(DAEMON_SOURCES
    ${CMAKE_SOURCE_DIR}/src/common/Configuration.cpp
    ${CMAKE_SOURCE_DIR}/src/common/SafeDataStream.cpp
    ${CMAKE_SOURCE_DIR}/src/common/ConfigReader.cpp
    ${CMAKE_SOURCE_DIR}/src/common/ThemeConfig.cpp
    ${CMAKE_SOURCE_DIR}/src/common/ThemeMetadata.cpp
    ${CMAKE_SOURCE_DIR}/src/common/Session.cpp
    ${CMAKE_SOURCE_DIR}/src/common/SocketWriter.cpp
    ${CMAKE_SOURCE_DIR}/src/auth/Auth.cpp
    ${CMAKE_SOURCE_DIR}/src/auth/AuthPrompt.cpp
    ${CMAKE_SOURCE_DIR}/src/auth/AuthRequest.cpp

    DaemonApp.cpp
    Display.cpp
    DisplayManager.cpp
    DisplayServer.cpp
    LogindDBusTypes.cpp
    XorgDisplayServer.cpp
    Greeter.cpp
    PowerManager.cpp
    Seat.cpp
    SeatManager.cpp
    SignalHandler.cpp
    SocketServer.cpp
    VirtualTerminal.cpp
)

qt5_add_dbus_adaptor(DAEMON_SOURCES "${CMAKE_SOURCE_DIR}/data/interfaces/org.freedesktop.DisplayManager.xml"          "DisplayManager.h" SDDM::DisplayManager)
qt5_add_dbus_adaptor(DAEMON_SOURCES "${CMAKE_SOURCE_DIR}/data/interfaces/org.freedesktop.DisplayManager.Seat.xml"     "DisplayManager.h" SDDM::DisplayManagerSeat)
qt5_add_dbus_adaptor(DAEMON_SOURCES "${CMAKE_SOURCE_DIR}/data/interfaces/org.freedesktop.DisplayManager.Session.xml"  "DisplayManager.h" SDDM::DisplayManagerSession)


set_source_files_properties("${CMAKE_SOURCE_DIR}/data/interfaces/org.freedesktop.login1.Manager.xml" PROPERTIES
   INCLUDE "LogindDBusTypes.h"
)
set_source_files_properties("${CMAKE_SOURCE_DIR}/data/interfaces/org.freedesktop.login1.Seat.xml" PROPERTIES
   INCLUDE "LogindDBusTypes.h"
)

set_source_files_properties("${CMAKE_SOURCE_DIR}/data/interfaces/org.freedesktop.login1.Session.xml" PROPERTIES
   INCLUDE "LogindDBusTypes.h"
)

qt5_add_dbus_interface(DAEMON_SOURCES "${CMAKE_SOURCE_DIR}/data/interfaces/org.freedesktop.login1.Manager.xml"  "Login1Manager")
qt5_add_dbus_interface(DAEMON_SOURCES "${CMAKE_SOURCE_DIR}/data/interfaces/org.freedesktop.login1.Seat.xml"  "Login1Seat")
qt5_add_dbus_interface(DAEMON_SOURCES "${CMAKE_SOURCE_DIR}/data/interfaces/org.freedesktop.login1.Session.xml"  "Login1Session")

add_executable(sddm ${DAEMON_SOURCES})
target_link_libraries(sddm
                      Qt5::DBus
                      Qt5::Network
                      Qt5::Qml
                      ${LIBXCB_LIBRARIES})
if(PAM_FOUND)
    target_link_libraries(sddm ${PAM_LIBRARIES})
else()
    target_link_libraries(sddm crypt)
endif()

if(JOURNALD_FOUND)
    target_link_libraries(sddm ${JOURNALD_LIBRARIES})
endif()

install(TARGETS sddm DESTINATION "${CMAKE_INSTALL_BINDIR}")

# Generate and install the default config file
add_custom_command(COMMAND sddm --example-config > "${CMAKE_BINARY_DIR}/sddm.conf"
    OUTPUT "${CMAKE_BINARY_DIR}/sddm.conf"
    COMMENT "Generate default sddm.conf file"
    DEPENDS sddm
)
add_custom_target(generate_config_file ALL DEPENDS "${CMAKE_BINARY_DIR}/sddm.conf")
install(FILES "${CMAKE_BINARY_DIR}/sddm.conf" DESTINATION "${CMAKE_INSTALL_FULL_SYSCONFDIR}")

=== src/greeter/CMakeLists.txt ===
include_directories(
    "${CMAKE_SOURCE_DIR}/src/common"
    "${CMAKE_BINARY_DIR}/src/common"
    "${LIBXCB_INCLUDE_DIR}"
)

set(GREETER_SOURCES
    ${CMAKE_SOURCE_DIR}/src/common/Configuration.cpp
    ${CMAKE_SOURCE_DIR}/src/common/ConfigReader.cpp
    ${CMAKE_SOURCE_DIR}/src/common/Session.cpp
    ${CMAKE_SOURCE_DIR}/src/common/SocketWriter.cpp
    ${CMAKE_SOURCE_DIR}/src/common/ThemeConfig.cpp
    ${CMAKE_SOURCE_DIR}/src/common/ThemeMetadata.cpp
    GreeterApp.cpp
    GreeterProxy.cpp
    KeyboardLayout.cpp
    KeyboardModel.cpp
    ScreenModel.cpp
    SessionModel.cpp
    UserModel.cpp
    XcbKeyboardBackend.cpp
)

configure_file("theme/Main.qml"                  "theme/Main.qml")
configure_file("theme.qrc"                       "theme.qrc")

qt5_add_resources(RESOURCES ${CMAKE_CURRENT_BINARY_DIR}/theme.qrc)

add_executable(sddm-greeter ${GREETER_SOURCES} ${RESOURCES})
target_link_libraries(sddm-greeter
                      Qt5::Quick
                      ${LIBXCB_LIBRARIES}
                      ${LIBXKB_LIBRARIES})

if(JOURNALD_FOUND)
    target_link_libraries(sddm-greeter ${JOURNALD_LIBRARIES})
endif()

# Translations
add_dependencies(sddm-greeter components-translation)
add_dependencies(sddm-greeter themes-translation)

install(TARGETS sddm-greeter DESTINATION "${CMAKE_INSTALL_BINDIR}")

=== src/helper/CMakeLists.txt ===
include_directories(
    "${CMAKE_SOURCE_DIR}/src/common"
    "${CMAKE_SOURCE_DIR}/src/auth"
)
include_directories("${CMAKE_BINARY_DIR}/src/common")

set(HELPER_SOURCES
    ${CMAKE_SOURCE_DIR}/src/common/Configuration.cpp
    ${CMAKE_SOURCE_DIR}/src/common/ConfigReader.cpp
    ${CMAKE_SOURCE_DIR}/src/common/SafeDataStream.cpp
    Backend.cpp
    HelperApp.cpp
    UserSession.cpp
)

if(PAM_FOUND)
    set(HELPER_SOURCES
        ${HELPER_SOURCES}
        backend/PamHandle.cpp
        backend/PamBackend.cpp
    )
else()
    set(HELPER_SOURCES
        ${HELPER_SOURCES}
        backend/PasswdBackend.cpp
    )

   if(HAVE_GETSPNAM)
       add_definitions(-DHAVE_GETSPNAM=1)
   endif()
endif()

add_executable(sddm-helper ${HELPER_SOURCES})
target_link_libraries(sddm-helper Qt5::Network Qt5::DBus Qt5::Qml)
if(PAM_FOUND)
    target_link_libraries(sddm-helper ${PAM_LIBRARIES})
else()
    target_link_libraries(sddm-helper crypt)
endif()

if(JOURNALD_FOUND)
    target_link_libraries(sddm-helper ${JOURNALD_LIBRARIES})
endif()

install(TARGETS sddm-helper RUNTIME DESTINATION "${CMAKE_INSTALL_LIBEXECDIR}")

=== debian/changelog ===
sddm (0.17.0-1ubuntu7) bionic; urgency=medium

  * debian/sddm.service: Always wait for plymouth quit to run before
    trying to start.

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 20 Apr 2018 14:12:06 +0100

sddm (0.17.0-1ubuntu6) bionic; urgency=medium

  * debian/sddm.service Apply the fix for the race between sddm and
    logind to our service template as this is what we install.
  * debian/patches: Drop previous fix-logind-race.patch

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 17 Apr 2018 22:21:36 +0100

sddm (0.17.0-1ubuntu5) bionic; urgency=medium

  * debian/sddm.service: Now we start on VT1 we need to avoid collision
    with plymouth. So take the startup ordering recommended in the
    sddm.service comments, and currently in use by KDE Neon.

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 17 Apr 2018 13:39:09 +0100

sddm (0.17.0-1ubuntu4) bionic; urgency=high

  * Fix race between sddm and logind (LP: #1763977).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 15 Apr 2018 14:36:43 -0500

sddm (0.17.0-1ubuntu3) bionic; urgency=medium

  * Use VT1 by default now ubuntu has switched to this. Remaining on VT7
    has already caused one issue with ubiquity-dm where it expects the
    dm to conflict getty@getty1.service, but we do not. While this may
    be fixed in ubiquity itself, sddm no longer has any reason in ubuntu
    to force minumim VT7.
    - debian/patches: drop 03_vt7-minimum-vt.diff
    - debian/sddm.service: conflict getty@tty1.service rather than tty7

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 11 Apr 2018 07:50:07 +0100

sddm (0.17.0-1ubuntu2) bionic; urgency=high

  * Merge back in contents of 0.14.0-4ubuntu2 which were dropped during the
    last Debian merge.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 31 Mar 2018 17:56:57 -0500

sddm (0.17.0-1ubuntu1) bionic; urgency=medium

  * Merge from Debian Sid. Remaining changes:
    - Use the Breeze SDDM theme instead of the Maui one.
    - Add kubuntu_nvidia-prime.diff to make sure NVIDIA Prime works.
    - Keep the default-display-manager file logic in sddm.postinst.
    - Add pam_kwallet.so to debian/sddm.pam.
    - Update Vcs-* to point to Launchpad instead of Salsa.
    - Add debian/conffiles.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 25 Feb 2018 22:16:55 -0600

sddm (0.17.0-1) sid; urgency=medium

  [ Clive Johnston ]
  * Drop upstream patches.

  [ Simon Quigley ]
  * New upstream release (0.17.0).
  * Bump Standards-version to 4.1.1, no changes needed.
  * Upstream patch from Kubuntu which allows for NVIDIA Prime to be setup on
    login.
  * Update patches.
  * Add 04_set_default_path.diff back.

  [ Maximiliano Curia ]
  * Suggest qtvirtualkeyboard
  * Bump to Standards-Version 4.1.3
  * Update Vcs fields
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sun, 25 Feb 2018 09:26:35 +0100

sddm (0.15.0-1) sid; urgency=medium

  * New upstream release (0.15.0).
  * Drop upstream patches
  * Migrate to dh using compat 10
  * Bump Standards-Version to 4.1.0.
  * Add new theme sddm-theme-maya
  * Use pam_deny in the sddm-greeter password
  * Add fish specific Xsession snipped (from upstream's f486cf4)
  * Update copyright file
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sat, 02 Sep 2017 23:57:41 +0200

sddm (0.14.0-4ubuntu2) bionic; urgency=high

  * Don't use an absolute path when setting $DESKTOP_SESSION (LP: #1668722).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 10 Feb 2018 18:25:09 -0600

=== debian/control ===
Source: sddm
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michał Zając <quintasan@kubuntu.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 2.8.8),
               debhelper (>= 10),
               extra-cmake-modules (>= 1.4.0~),
               libpam0g-dev,
               libsystemd-dev [linux-any],
               libupower-glib-dev,
               libxcb-xkb-dev,
               libxcb1-dev,
               libxkbcommon-dev,
               pkg-config,
               python-docutils,
               qtbase5-dev (>= 5.6.0~),
               qtdeclarative5-dev (>= 5.6.0~),
               qttools5-dev,
               qttools5-dev-tools (>= 5.6.0~),
               systemd [linux-any],
Standards-Version: 4.1.3
Homepage: https://github.com/sddm/sddm
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/sddm
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/sddm

Package: sddm
Architecture: any
Depends: adduser,
         qml-module-qtquick2,
         x11-common,
         xserver-xorg | xserver,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libpam-systemd, sddm-theme-breeze | sddm-theme
Suggests: libpam-kwallet5, qtvirtualkeyboard-plugin
Provides: x-display-manager
Description: modern display manager for X11
 SDDM is a modern display manager for X11 aiming to be fast, simple
 and beautiful. It uses modern technologies like QtQuick to create
 smooth, animated user interfaces.

Package: sddm-theme-debian-elarun
Architecture: all
Depends: desktop-base, ${misc:Depends}
Recommends: sddm
Provides: sddm-theme
Breaks: sddm (<< ${source:Version})
Description: 'Debian Elarun' Theme for SDDM X11 display manager
 Elarun theme for SDDM, using the active desktop-base theme for the
 background.

Package: sddm-theme-maya
Architecture: all
Depends: ${misc:Depends}
Recommends: sddm
Provides: sddm-theme
Breaks: sddm (<< ${source:Version})
Description: 'Maya' theme for SDDM X11 display manager
 Maya theme for SDDM

Package: sddm-theme-debian-maui
Architecture: all
Depends: desktop-base, ${misc:Depends}
Recommends: sddm
Provides: sddm-theme
Breaks: sddm (<< ${source:Version})
Description: 'Debian Maui' theme for SDDM X11 display manager
 Maui theme for SDDM, using the active desktop-base theme for the
 background

Package: sddm-theme-elarun
Architecture: all
Depends: ${misc:Depends}
Recommends: sddm
Provides: sddm-theme
Breaks: sddm (<< ${source:Version})
Description: 'Elarun' Theme for SDDM X11 display manager
 Elarun theme for SDDM

Package: sddm-theme-maldives
Architecture: all
Depends: ${misc:Depends}
Breaks: sddm (<< ${source:Version})
Recommends: sddm
Provides: sddm-theme
Description: 'Maldives' theme for SDDM X11 display manager
 Maldives theme for SDDM

Package: sddm-theme-maui
Architecture: all
Depends: ${misc:Depends}
Recommends: sddm
Provides: sddm-theme
Breaks: sddm (<< ${source:Version})
Description: 'Maui' theme for SDDM X11 display manager
 Maui theme for SDDM

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

SDDM_CMAKE_ARGS = -DCMAKE_INSTALL_LIBEXECDIR=/usr/lib/${DEB_HOST_MULTIARCH}/sddm \
	    -DSESSION_COMMAND="/etc/sddm/Xsession" \
	    -DBUILD_MAN_PAGES=ON \
	    -DDBUS_CONFIG_FILENAME="sddm_org.freedesktop.DisplayManager.conf"

ifeq ($(DEB_HOST_ARCH_OS),linux)
  WITH_SYSTEMD := --with systemd
else
  SDDM_CMAKE_ARGS += -DNO_SYSTEMD=ON -DENABLE_JOURNALD=OFF
endif

%:
	dh $@ ${WITH_SYSTEMD} --parallel

override_dh_strip:
	dh_strip --dbgsym-migration='sddm-dbg (<= 0.14.0-1~~)'

override_dh_auto_configure:
	dh_auto_configure -- ${SDDM_CMAKE_ARGS}

override_dh_systemd_start:
	dh_systemd_start -psddm --no-start -r sddm.service

override_dh_installinit:
	dh_installinit --noscripts

override_dh_install:
	# not installed, as the Debian version is used instead
	rm -f $(CURDIR)/debian/tmp/lib/systemd/system/sddm.service
	dh_install --list-missing

override_dh_fixperms-arch:
	# ensure script is marked as executable
	chmod +x $(CURDIR)/debian/sddm/etc/sddm/Xsession
	dh_fixperms

override_dh_installpam:
	dh_installpam
	dh_installpam --name=sddm-autologin
	dh_installpam --name=sddm-greeter

## sddm 0.18.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 # Set version
 set(SDDM_VERSION_MAJOR 0)
-set(SDDM_VERSION_MINOR 17)
+set(SDDM_VERSION_MINOR 18)
 set(SDDM_VERSION_PATCH 0)
 set(SDDM_VERSION_STRING "${SDDM_VERSION_MAJOR}.${SDDM_VERSION_MINOR}.${SDDM_VERSION_PATCH}")
 
@@ -31,6 +31,8 @@
 option(BUILD_MAN_PAGES "Build man pages" OFF)
 option(ENABLE_JOURNALD "Enable logging to journald" ON)
 option(ENABLE_PAM "Enable PAM support" ON)
+option(NO_SYSTEMD "Disable systemd support" OFF)
+option(USE_ELOGIND "Use elogind instead of logind" OFF)
 
 # ECM
 find_package(ECM 1.4.0 REQUIRED NO_MODULE)
@@ -93,16 +95,13 @@
 find_package(XKB REQUIRED)
 
 # Qt 5
-find_package(Qt5 5.6.0 CONFIG REQUIRED Core DBus Gui Qml Quick LinguistTools)
+find_package(Qt5 5.8.0 CONFIG REQUIRED Core DBus Gui Qml Quick LinguistTools Test)
 
 # find qt5 imports dir
 get_target_property(QMAKE_EXECUTABLE Qt5::qmake LOCATION)
 if(NOT QT_IMPORTS_DIR)
     exec_program(${QMAKE_EXECUTABLE} ARGS "-query QT_INSTALL_QML" RETURN_VALUE return_code OUTPUT_VARIABLE QT_IMPORTS_DIR)
 endif()
-
-# Set components version
-set(COMPONENTS_VERSION 2.0)
 
 # Uninstall target
 if ("${ECM_VERSION}" VERSION_LESS "1.7.0")

=== debian/changelog ===
sddm (0.18.0-1+deb10u1) buster-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix X not having access control on startup (CVE-2020-28049)
    (Closes: #973748)

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 04 Nov 2020 15:29:27 +0100

sddm (0.18.0-1) unstable; urgency=medium

  [ Simon Quigley ]
  * New upstream release.
  * Bump Standards-version to 4.1.4, no changes needed.
  * Bump debhelper compat to 11, no changes needed.
  * Remove unneeded dbgsym stanza of debian/rules.
  * Refresh patches for the new upstream release, and remove the
    reverse-applicable handle-reading-from-a-closed-file-handle.patch.
  * /etc/sddm.conf is no longer shipped by default; remove it from
    sddm.install and not-installed.

  [ Maximiliano Curia ]
  * Workaround entropy starvation by recommending haveged
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sun, 22 Jul 2018 13:26:44 +0200

sddm (0.17.0-2) experimental; urgency=medium

  * New revision
  * Also read the environment from ~/.pam_environment
  * Start after systemd-logind
  * Check for the daemon name, not the full path.
    Thanks to Alf Gaida for the report (Closes: 901966)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Thu, 21 Jun 2018 13:08:36 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Michał Zając <quintasan@kubuntu.org>,
            Maximiliano Curia <maxy@debian.org>,
 Build-Depends: cmake (>= 2.8.8),
-               debhelper (>= 10),
+               debhelper (>= 11),
                extra-cmake-modules (>= 1.4.0~),
                libpam0g-dev,
                libsystemd-dev [linux-any],
@@ -20,10 +20,10 @@
                qttools5-dev,
                qttools5-dev-tools (>= 5.6.0~),
                systemd [linux-any],
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: https://github.com/sddm/sddm
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/sddm
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/sddm
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/3rdparty/sddm
+Vcs-Git: https://salsa.debian.org/qt-kde-team/3rdparty/sddm.git
 
 Package: sddm
 Architecture: any
@@ -32,8 +32,8 @@
          x11-common,
          xserver-xorg | xserver,
          ${misc:Depends},
-         ${shlibs:Depends}
-Recommends: libpam-systemd, sddm-theme-breeze | sddm-theme
+         ${shlibs:Depends},
+Recommends: haveged, libpam-systemd, sddm-theme-debian-maui | sddm-theme
 Suggests: libpam-kwallet5, qtvirtualkeyboard-plugin
 Provides: x-display-manager
 Description: modern display manager for X11
@@ -50,15 +50,6 @@
 Description: 'Debian Elarun' Theme for SDDM X11 display manager
  Elarun theme for SDDM, using the active desktop-base theme for the
  background.
-
-Package: sddm-theme-maya
-Architecture: all
-Depends: ${misc:Depends}
-Recommends: sddm
-Provides: sddm-theme
-Breaks: sddm (<< ${source:Version})
-Description: 'Maya' theme for SDDM X11 display manager
- Maya theme for SDDM
 
 Package: sddm-theme-debian-maui
 Architecture: all
@@ -96,3 +87,12 @@
 Breaks: sddm (<< ${source:Version})
 Description: 'Maui' theme for SDDM X11 display manager
  Maui theme for SDDM
+
+Package: sddm-theme-maya
+Architecture: all
+Depends: ${misc:Depends}
+Recommends: sddm
+Provides: sddm-theme
+Breaks: sddm (<< ${source:Version})
+Description: 'Maya' theme for SDDM X11 display manager
+ Maya theme for SDDM

=== debian/rules ===
--- 
+++ 
@@ -10,23 +10,18 @@
 	    -DBUILD_MAN_PAGES=ON \
 	    -DDBUS_CONFIG_FILENAME="sddm_org.freedesktop.DisplayManager.conf"
 
-ifeq ($(DEB_HOST_ARCH_OS),linux)
-  WITH_SYSTEMD := --with systemd
-else
+ifneq ($(DEB_HOST_ARCH_OS),linux)
   SDDM_CMAKE_ARGS += -DNO_SYSTEMD=ON -DENABLE_JOURNALD=OFF
 endif
 
 %:
-	dh $@ ${WITH_SYSTEMD} --parallel
-
-override_dh_strip:
-	dh_strip --dbgsym-migration='sddm-dbg (<= 0.14.0-1~~)'
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- ${SDDM_CMAKE_ARGS}
 
-override_dh_systemd_start:
-	dh_systemd_start -psddm --no-start -r sddm.service
+override_dh_installsystemd:
+	dh_installsystemd -psddm --no-start -r sddm.service
 
 override_dh_installinit:
 	dh_installinit --noscripts

## sddm 0.18.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
 # Set version
 set(SDDM_VERSION_MAJOR 0)
 set(SDDM_VERSION_MINOR 18)
-set(SDDM_VERSION_PATCH 0)
+set(SDDM_VERSION_PATCH 1)
 set(SDDM_VERSION_STRING "${SDDM_VERSION_MAJOR}.${SDDM_VERSION_MINOR}.${SDDM_VERSION_PATCH}")
 
 # Set up packaging

=== components/CMakeLists.txt ===
configure_file("2.0/LayoutBox.qml" "2.0/LayoutBox.qml")

install(DIRECTORY "2.0/" DESTINATION "${QT_IMPORTS_DIR}/SddmComponents")
install(DIRECTORY "common/" DESTINATION "${QT_IMPORTS_DIR}/SddmComponents")
install(DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/2.0/" DESTINATION "${QT_IMPORTS_DIR}/SddmComponents")

=== data/CMakeLists.txt ===
install(DIRECTORY "flags" DESTINATION "${DATA_INSTALL_DIR}")

install(FILES
    "org.freedesktop.DisplayManager.conf"
    DESTINATION "${DBUS_CONFIG_DIR}"
    RENAME ${DBUS_CONFIG_FILENAME}
)

install(FILES
    "faces/root.face.icon.png"
    DESTINATION "${DATA_INSTALL_DIR}/faces"
    RENAME "root.face.icon"
)

install(FILES
    "faces/default.face.icon.png"
    DESTINATION "${DATA_INSTALL_DIR}/faces"
    RENAME ".face.icon"
)

install(FILES
    "scripts/Xsession"
    "scripts/Xsetup"
    "scripts/Xstop"
    "scripts/wayland-session"
    DESTINATION "${DATA_INSTALL_DIR}/scripts"
    PERMISSIONS
        OWNER_READ OWNER_WRITE OWNER_EXECUTE
        GROUP_READ GROUP_EXECUTE
        WORLD_READ WORLD_EXECUTE
)

if(BUILD_MAN_PAGES)
    add_subdirectory(man)
endif()
add_subdirectory(themes)
add_subdirectory(translations)

=== data/translations/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,6 @@
 set(TRANSLATION_FILES
     ar.ts
+    bn.ts
     ca.ts
     cs.ts
     da.ts
@@ -10,6 +11,7 @@
     fr.ts
     hi_IN.ts
     hu.ts
+    is.ts
     it.ts
     ja.ts
     kk.ts

=== src/daemon/CMakeLists.txt ===
--- 
+++ 
@@ -69,12 +69,3 @@
 endif()
 
 install(TARGETS sddm DESTINATION "${CMAKE_INSTALL_BINDIR}")
-
-# Generate and install the default config file
-add_custom_command(COMMAND sddm --example-config > "${CMAKE_BINARY_DIR}/sddm.conf"
-    OUTPUT "${CMAKE_BINARY_DIR}/sddm.conf"
-    COMMENT "Generate default sddm.conf file"
-    DEPENDS sddm
-)
-add_custom_target(generate_config_file ALL DEPENDS "${CMAKE_BINARY_DIR}/sddm.conf")
-install(FILES "${CMAKE_BINARY_DIR}/sddm.conf" DESTINATION "${CMAKE_INSTALL_FULL_SYSCONFDIR}")

=== debian/changelog ===
sddm (0.18.1-1ubuntu2) focal; urgency=medium

  * Revert upstream_set-re-use-session-option-by-default.diff

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Feb 2020 15:44:32 +0000

sddm (0.18.1-1ubuntu1) focal; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Recommend the Breeze SDDM theme instead of the Maui one.
    - Add kubuntu_nvidia-prime.diff to make sure NVIDIA Prime works.
    - Keep the default-display-manager file logic in sddm.postinst.
    - Update Vcs-* to point to Launchpad instead of Salsa.
    - Add debian/conffiles.
    - Make sure sddm.service starts at the correct time.
    - Start on tty1 by default.
    - Bump Standards-version to 4.1.5, no changes needed.
    - Instead of hardcoding the Breeze theme in, allow ubuntu-theme to be
      used in the same fashion Debian's is.
  * Add upstream_set-re-use-session-option-by-default.diff

 -- Rik Mills <rikmills@kde.org>  Mon, 24 Feb 2020 08:17:37 +0000

sddm (0.18.1-1) unstable; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * Add missing license paragraph
  * Add wayland-session as a conffile
  * Avoid sourcing /etc/profile with fish.
    Thanks to Alf Gaida for the report (Closes: 904698)

  [ Pino Toscano ]
  * New upstream release.
  * Add the configuration for the CI on salsa.
  * Remove the unused debian/meta/ stuff.
  * Remove debian/not-installed, as we ship everything.
  * Switch from python-docutils to python3-docutils to get Python 3-based
    rst2man. (Closes: #943206)
  * Small changes to copyright.
  * Drop the upstart confirmation, as it is long gone
    - unregister it as conffile
  * Depend on xauth, as it is used for X sessions. (Closes: #929463)
  * Change sid to unstable in old changelog entries. (Closes: #901969)
  * Improve the Debian-provided sddm.service: (Closes: #916398, #950391)
    - remove old check of /etc/X11/default-display-manager
    - alias it as display-manager.service
    - add getty@tty1.service to Conflicts/After to avoid races

  [ Lorenzo Puliti ]
  * Improve sysv init script: (Closes: #915534)
    - add dbus under 'Should Start'
    - remove  'S' and 'K' update-rc.d levels from postinst script,
      as setting the boot sequence that way is deprecated and no longer
      effective

 -- Pino Toscano <pino@debian.org>  Sun, 23 Feb 2020 13:34:38 +0100

sddm (0.18.0-1ubuntu2) cosmic; urgency=medium

  * sddm-ubuntu-theme, not sddm-debian-theme.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 27 Jul 2018 08:15:15 -0500

sddm (0.18.0-1ubuntu1) cosmic; urgency=medium

  * Merge from Debian Sid. Remaining changes:
    - Recommend the Breeze SDDM theme instead of the Maui one.
    - Add kubuntu_nvidia-prime.diff to make sure NVIDIA Prime works.
    - Keep the default-display-manager file logic in sddm.postinst.
    - Update Vcs-* to point to Launchpad instead of Salsa.
    - Add debian/conffiles.
    - Make sure sddm.service starts at the correct time.
    - Start on tty1 by default.
  * Bump Standards-version to 4.1.5, no changes needed.
  * Instead of hardcoding the Breeze theme in, allow ubuntu-theme to be used
    in the same fashion Debian's is.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 27 Jul 2018 07:51:00 -0500

sddm (0.17.0-1) unstable; urgency=medium

  [ Clive Johnston ]
  * Drop upstream patches.

  [ Simon Quigley ]
  * New upstream release (0.17.0).
  * Bump Standards-version to 4.1.1, no changes needed.
  * Upstream patch from Kubuntu which allows for NVIDIA Prime to be setup on
    login.
  * Update patches.
  * Add 04_set_default_path.diff back.

  [ Maximiliano Curia ]
  * Suggest qtvirtualkeyboard
  * Bump to Standards-Version 4.1.3
  * Update Vcs fields
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sun, 25 Feb 2018 09:26:35 +0100

sddm (0.15.0-1) unstable; urgency=medium

  * New upstream release (0.15.0).
  * Drop upstream patches
  * Migrate to dh using compat 10
  * Bump Standards-Version to 4.1.0.
  * Add new theme sddm-theme-maya
  * Use pam_deny in the sddm-greeter password
  * Add fish specific Xsession snipped (from upstream's f486cf4)
  * Update copyright file
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sat, 02 Sep 2017 23:57:41 +0200

=== debian/control ===
--- 
+++ 
@@ -14,21 +14,22 @@
                libxcb1-dev,
                libxkbcommon-dev,
                pkg-config,
-               python-docutils,
+               python3-docutils,
                qtbase5-dev (>= 5.6.0~),
                qtdeclarative5-dev (>= 5.6.0~),
                qttools5-dev,
                qttools5-dev-tools (>= 5.6.0~),
                systemd [linux-any],
-Standards-Version: 4.1.4
+Standards-Version: 4.1.5
 Homepage: https://github.com/sddm/sddm
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/3rdparty/sddm
-Vcs-Git: https://salsa.debian.org/qt-kde-team/3rdparty/sddm.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/sddm
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/sddm
 
 Package: sddm
 Architecture: any
 Depends: adduser,
          qml-module-qtquick2,
+         xauth,
          x11-common,
          xserver-xorg | xserver,
          ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,7 @@
 
 SDDM_CMAKE_ARGS = -DCMAKE_INSTALL_LIBEXECDIR=/usr/lib/${DEB_HOST_MULTIARCH}/sddm \
 	    -DSESSION_COMMAND="/etc/sddm/Xsession" \
+	    -DWAYLAND_SESSION_COMMAND="/etc/sddm/wayland-session" \
 	    -DBUILD_MAN_PAGES=ON \
 	    -DDBUS_CONFIG_FILENAME="sddm_org.freedesktop.DisplayManager.conf"

=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*\/)?v?(\d[\d.]*)\.tar\.gz/sddm-$1.tar.gz/" \
         https://github.com/sddm/sddm/tags (?:.*/)?v?(\d[\d.]*)\.tar\.gz
